spec:
  inputs:
    greetings:
      default: world
---
hello-world:
  image:
    name: "busybox:stable"
  script:
    - echo "Hello $[[ inputs.greetings ]]"
  needs: []
  rules:
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"  # Add the job to merge request pipelines if there's an open merge request.
    - if: $CI_OPEN_MERGE_REQUESTS  # Don't add it to a *branch* pipeline if it's already in a merge request pipeline.
      when: never
    - if: '$CI_COMMIT_TAG || $CI_COMMIT_BRANCH'        # If there's no open merge request, add it to a *branch* pipeline instead.
